Summary: Popular Unix Irc client
Name: ircii
Version: 2.8.2
Release: 12
Copyright: distributable
Group: Applications/Communications
Source0: ftp://CS-PUB.bu.edu/irc/clients/ircii-2.8.2.tar.gz
Source1: ftp://CS-PUB.bu.edu/irc/clients/ircii-2.8help.tar.gz
Source2: ircii.wmconfig
Patch0: ircii-2.8.2-termios.patch
Patch1: ircii-2.8-fileclose.patch
%package help
Summary: Help Files and Documentation for ircii
Group: Applications/Communications

%changelog

* Wed Nov  5 1997 Otto Hammersmith <otto@redhat.com>

- moved wmconfig file from ircii-help file list

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>

- use termios, not termio

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- added Erik's patch to fix file closing brokenness.

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>

- added wmconfig entries

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>

- updated source urls

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
This is a popular Internet Relay Chat (IRC) client.  It
is a program used to connect to IRC servers around the
globe so that the user can ``chat'' with others.

%description help
This package contains the help files and other documentation
for the ircii client package.  

%prep 
%setup -T -c -a 0
%setup -T -D -a 1
%patch0 -p1
%patch1 -p1

%build
cd ircii-2.8.2
./configure --prefix=/usr
make all
cd ../help
chmod a+rX *

%install
cd ircii-2.8.2
make install
rm -f /usr/bin/irc.old
touch /usr/lib/irc/ircII.servers
echo "irc-2.mit.edu" >> /usr/lib/irc/ircII.servers
echo "irc-2.escape.com" >> /usr/lib/irc/ircII.servers
echo "irc.texas.net" >> /usr/lib/irc/ircII.servers
echo "irc.eskimo.com" >> /usr/lib/irc/ircII.servers
chmod 644 /usr/lib/irc/ircII.servers
mkdir -p /usr/lib/irc/help
cd ../help
cp -R * /usr/lib/irc/help
chmod -R a+rX /usr/lib/irc/help

strip /usr/bin/irc-2.8.2 /usr/bin/ircserv /usr/bin/ircflush /usr/bin/wserv

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/ircii.wmconfig /etc/X11/wmconfig/ircii

%files
/usr/bin/irc
/usr/bin/irc-2.8.2
/usr/bin/ircserv
/usr/bin/ircflush
/usr/bin/wserv
/usr/lib/irc/ircII.servers
/usr/lib/irc/script
/usr/lib/irc/translation
/etc/X11/wmconfig/ircii
%files help
/usr/lib/irc/help
%doc ircii-2.8.2/doc/

